Workflow Engine::Workflow Templates
Endpoints for Workflow Engine::Workflow Templates
Endpoints for Workflow Engine::Workflow Templates
GET/api/v1/automation/workflow-templates
Authentication: Bearer token (JWT)
Workflow templates retrieved successfully
This response has no body.
unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/automation/workflow-templates \
--header 'Authorization: Bearer <token>'GET/api/v1/automation/workflow-templates/{id}
Authentication: Bearer token (JWT)
idnumberRequiredWorkflow template retrieved successfully
POST/api/v1/automation/workflow-templates/{id}/use
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonnamestringRequiredfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}This response has no body.
badRequest
messageCodestringRequired"badRequest"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all active workflow templates (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}workflowTemplateNotFound
messageCodestringRequired"workflowTemplateNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "workflowTemplateNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/automation/workflow-templates/{id}' \
--header 'Authorization: Bearer <token>'maxLength: 255{
"name": "string"
}Workflow created from template successfully
This response has no body.
badRequest
Same fields as Get a workflow template by ID (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get all active workflow templates (403).
workflowTemplateNotFound
Same fields as Get a workflow template by ID (404).
curlcurl 'https://api.subrite.no/api/v1/automation/workflow-templates/{id}/use' \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string"
}'{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "workflowTemplateNotFound",
"message": "string",
"errors": [
{}
]
}